button {
  border: 0;
  border-radius: 0.2rem;
  padding: 0.5rem;
}

input[type=text]:focus {
  background-color: whitesmoke;
  transition: ease-in-out, background-color .35s ease-in-out;
  border: 0;
}

input[type=text] {
  transition: ease-in-out, background-color .35s ease-in-out;
  border: 0;
}

button:active {
  background-color: rgb(199, 199, 206);
}

.App {
  text-align: left;
  display: flex;
  flex-direction: column;
}

.app-header {
  display: grid;
  grid-template-columns: auto 3fr 5fr;
  height: 6rem;
  padding: 1rem;
  gap: 1rem;
  background-color: rgb(40, 40, 40);
}

.header-logo img {
  height: 100%;
  max-height: 4rem;
  width: 100%;
  object-fit: fill;
}

.header-title-form, 
.header-title-form > input {
  height: 100%;
  width: 100%;
  font-size: x-large;
}

.header-title-form > input {
  padding: 1rem;
  background-color: rgb(221, 221, 221);
  border-radius: 0.2rem;
  border: 0;
}

.title-edit {
  position:absolute;
  top: 8px;
  right: 25px
}

.header-tools {
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.header-tools-btn {
  padding: 1rem;
}

.msg {
  background-color: white;
  border-radius: 0.2rem;
  padding: 1rem;
  text-align: center;
  display: flex;
  align-items: center;
}

.msg-error {
  background-color: red;
}

.msg-good {
  background-color: green;
}

.spinner {
  animation: spin-animation 2s infinite;
  display: inline-block;
  animation-timing-function: linear;
}

@keyframes spin-animation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(359deg);
  }
}

#main-board {
  display: flex;
  flex-wrap: nowrap;
  justify-content: left;
  flex-direction: row;
  padding: 1rem;
  gap: 1rem;
}

.board-bucket {
  width: 30vw;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  background-color: rgb(221, 221, 221);
  padding: 1rem;
  padding-bottom: 1rem;
  border-radius: 0.2rem;
}

.add-bucket {
  flex-shrink: 1;
}

.add-bucket > button {
  font-size: 1rem;
}

.bucket-drop-zone {
  background-color: green;
}

.bucket-title {
  font-size: 1.5rem;
  display: grid;
  column-gap: 0.5rem;
  grid-template-columns: 1fr auto;
  max-width: 100%;
}

.bucket-title > input {
  font-size: 1.5rem;
  padding: 0.2rem 0.3rem;
  width: 100%;
  background-color: transparent;
}

.bucket-item {
  padding: 0.7rem;
  background-color: white;
  border-radius: 0.2rem;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.bucket-item > header {
  font-size: 1.3rem;
  display: flex;
  gap: 0.5rem;
}

.bucket-item > header > span {
  flex-grow: 1;
}

.bucket-item > footer {
  font-size: 0.8rem;
  display: flex;
  gap: 0.8rem;
}

.bucket-item > form {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 0.5rem;
  align-items: center;
}

.bucket-item input {
  width: 100%;
  margin: 0;
  padding: 0.3rem;
  font-size: 1rem;
}

.bucket-item label {
  font-size: 0.9rem;
}

.bucket-item-tag {
  border: 0.05rem gray solid;
  border-radius: 0.2rem;
  padding: 0.1rem 0.3rem;
}

.bucket-empty {
  font-size: 2rem;
  text-align: center;
  color: rgb(184, 180, 180);
}

.bucket-add-item {
  text-align: center;
}

.bucket-add-item > button {
  padding: 0.5rem;
  font-size: 1rem;
  
}

form > input {
  margin: 0.3rem;
  padding: 1rem;
  background-color: rgb(246, 245, 245);
  border-radius: 0.2rem;
  border: 0;
}